NSX Global Policy API Guide
Copyright © 2014-2026 VMware, Inc. All rights reserved. Copyright and trademark information.
NSX Global Policy API Guide
NSX 9.1.1
Table of Contents
- Overview
- API Methods
- Certificates
- Enforcement Points
- Federation
- Inventory
- Monitoring
- Multi-Tenancy
- Networking (Dhcp)
- Networking (Dns Forwarder)
- Networking (Nat)
- Networking (Network Services)
- Networking (Networking Profiles)
-
Networking (Routing)
- Tier-0S
- Tier-0S (Arp Proxies)
- Tier-0S (Arp Tables)
- Tier-0S (Bgp)
- Tier-0S (Community Lists)
- Tier-0S (Dad States)
- Tier-0S (Deployment Maps)
- Tier-0S (Forwarding Tables)
- Tier-0S (Inter-Vrfs)
- Tier-0S (Interface Groups)
- Tier-0S (Interfaces)
- Tier-0S (Locale Services)
- Tier-0S (Prefix Lists)
- Tier-0S (Route Maps)
- Tier-0S (Routing Tables)
- Tier-0S (Routing)
- Tier-0S (States)
- Tier-0S (Static Routes BFD Peers)
- Tier-0S (Static Routes)
- Tier-0S (Statistics)
- Tier-1S
- Tier-1S (Arp Proxies)
- Tier-1S (Arp Tables)
- Tier-1S (Dad States)
- Tier-1S (Forwarding Tables)
- Tier-1S (Interface Groups)
- Tier-1S (Interfaces)
- Tier-1S (Locale Services)
- Tier-1S (Routing)
- Tier-1S (States)
- Tier-1S (Static Routes)
- Tier-1S (Statistics)
-
Networking (Switching)
- Segment Ports
- Segment Ports (Mac Tables)
- Segment Ports (States)
- Segments
- Segments (Arp Proxies)
- Segments (Edge Bridge)
- Segments (Fixed)
- Segments (Mac Tables)
- Segments (States)
- Segments (Statistics)
- Segments (Tep Tables)
- Segments Profiles (Discovery Profiles)
- Segments Profiles (Ip Discovery Profiles)
- Segments Profiles (Mac Discovery Profiles)
- Segments Profiles (Monitoring Profile Bindings)
- Segments Profiles (Qos Profiles)
- Segments Profiles (Real Time Eth Profiles)
- Segments Profiles (Security Profile Bindings)
- Segments Profiles (Security Profiles)
- Segments Profiles (Spoofguard Profiles)
- Transport Zones
- Networking (Vpn)
- Policy
- Search
- Security
-
Security (East West)
- Distributed Firewall (Drafts)
- Distributed Firewall (Exclusion List)
- Distributed Firewall (Firewall Scheduler)
- Distributed Firewall (Group/Service Associations)
- Distributed Firewall (Identity Firewall)
- Distributed Firewall (Ip Reputation)
- Distributed Firewall (Rules)
- Distributed Firewall (Settings)
- Distributed Firewall (Statistics)
- Distributed Firewall (Tasks)
- Distributed IDS (Signatures)
- Ips & Malware (Rules)
- Security (North South)
- Security (Security Profiles)
-
System (Administration)
- Configuration (Auto-Enable Gateway Firewall)
- Configuration (Partial Patch)
- API Services
- Certificates
- Global Configurations
- Grub
- Monitoring
- NSX Manager (Appliance Proxy)
- NSX Manager (Async Replicator Service)
- NSX Manager (Auth Service)
- NSX Manager (Cluster Certificate)
- NSX Manager (Cluster)
- NSX Manager (Cm Inventory Service)
- NSX Manager (Corfu Server)
- NSX Manager (Http Service)
- NSX Manager (Install Upgrade Service)
- NSX Manager (Manager Service)
- NSX Manager (Messaging Manager Service)
- NSX Manager (Migration Coordinator Service)
- NSX Manager (Search Service)
- NSX Manager (Site Manager Service)
- NSX Manager (Telemetry Service)
- NSX Manager (User Interface Service)
- NSX Managers (Api Services)
- NSX Managers (Cluster)
- NSX Managers (Interfaces)
- NSX Managers (Monitoring)
- Support Bundle
- Transport Nodes
- Transport Nodes (Dns)
- Transport Nodes (Interfaces)
- Transport Nodes (Log Insight)
- Transport Nodes (Ntp Service)
- Transport Nodes (Snmp Service)
- Transport Nodes (Ssh Service)
- Transport Nodes (Syslog Service)
- Transport Nodes (Tasks Service)
- Transport Nodes (Upgrade Agent Service)
- User Management (Ldap)
- System (Fabric)
- System (Lifecycle Management)
- System (Settings)
- System Administration
- Troubleshooting
- User Management
- API Types
- API Type Schemas
- API Errors
- Deprecated Types and Methods
Overview
Introduction
This guide is for the NSX Global Manager API endpoint and is only relevant for environments using NSX Federation. For all other use cases please look at the at the NSX Manager API guide.
Like for the local manager of NSX, in case of Federation the global manager provides a programmatic API to automate management activities.
The Global Manager aims to manage centrally the configuration of multiple NSX deployments (also called Local Managers) as part of NSX Federation. In those environments both the Global Manager and the Local Managers API endpoints are available, but objects created and managed (CRUD) from the Global Manager should only be managed at this level.
The Global Manager follows the same data-structure than the NSX Local Manager. The API follows a resource-oriented Representational State Transfer (REST) architecture, using JSON object encoding. Clients interact with the API using RESTful web service calls over the HTTPS protocol.
Each API method is identified by a request method and URI. Method parameters are specified as key-value pairs appended to the URI. Unless otherwise noted, request and response bodies are encoded using JSON, and must conform to the JSON schema associated with each method. The content type of each request and reply is "application/json" unless otherwise specified. Each request that can be made is documented in the API Methods section. The associated request and response body schemas are documented in the API Schemas section.
If you provide URL-encoded UTF-8 characters in the URL of your API request, you must include the header "Content-Type:charset=UTF-8" in your request.
API Data Types and Allowed Ranges
The NSX API uses JSON to represent API request and response payloads, and uses JSONSchema to describe the schema of these payloads. The data types are:
string: a sequence of UTF-8 characters. If a particular string property has a maximum length, it is represented in the documentation with a maxLength property.
integer: a signed 64-bit value. Unless a minimum or maximum value is shown in the documentation, integer values may take on values in the range -9,223,372,036,854,775,808 to 9,223,372,036,854,775,807.
unsigned_integer: an unsigned 64-bit value. Unless a minimum or maximum value is shown in the documentation, integer values may take on values in the range 0 to 9,223,372,036,854,775,807.
int: a signed 32-bit value. Unless a minimum or maximum value is shown in the documentation, int values may take on values in the range -2,147,483,648 to 2,147,483,647.
number: a 64-bit floating point number. Unless a minimum or maximum value is shown in the documentation, number values may take on values in the range 4.9406564584124654 x 10-324 to 1.7976931348623157 x 10308.
boolean: the values true or false. Do not use quotes when sending boolean values in payloads.
object: a nested JSON object.
array: an array of one of the above types.
Formats
Some API types have a required format, and payloads that do not conform to the required format will be rejected. If a property has a required format, it is listed in the "Notes" section in this API Guide. The following formats are used in NSX:
ipv4: Must be a valid Internet Protocol version 4 address, in dotted-quad notation. For example, "192.168.1.232".
ipv6: Must be a valid Internet Protocol version 6 address, as described in RFC 1924. For example, "2001:0db8:85a3:0000:0000:8a2e:0370:7334". Abbreviations are supported.
ip: Either an ipv4 or ipv6 address.
hostname: An internet hostname, as described in RFC 1123. For example, "example.com"
ipv4-cidr-block: An ipv4 Classless Inter-Domain Routing (CIDR) block, expressed as a base ipv4 address, a slash, and the number of bits in the subnet mask. For example, "10.1.0.1/24".
ipv6-cidr-block: An ipv6 Classless Inter-Domain Routing (CIDR) block, expressed as a base ipv6 address, a slash, and the number of bits in the subnet mask. For example, "2001:db8::/32".
ip-cidr-block: Either an ipv4-cidr-block or an ip-v6-cidr-block.
ipv4-address-range: A range of ipv4 addresses, expressed as a lower-bound ipv4 address, a dash, and an upper-bound ipv4 address. For example, "192.168.1.0-192.168.1.255"
ipv6-address-range: A range of ipv6 addresses, expressed as a lower-bound ipv6 address, a dash, and an upper-bound ipv6 address. For example, "fe80::0202:b3ff:fe1e:8329-fe80::0202:b3ff:fe1e:832a"
address-or-block-or-range: Either an ip address, an ip-cidr-block, an ipv4-address-range, or an ipv6-address-range.
port-or-range: A port number (an integer in the range 0 to 65535) or a range of port numbers, expressed as a lower and upper port number, separated by a dash. Examples: "80" or "997-1023".
hostname-or-ip: Either a hostname or an ip address.
hostname-or-ipv4: Either a hostname or an ipv4 address.
list-of-address-or-block-or-range: A comma-separated list address-or-block-or-range.
mac-address: A Media Access Control (MAC) address. MAC addresses are six hexadecimal numbers, separated by either colons ":" or dashes "-". Case is not significant. Examples: "20:f3:75:5e:47:f0" or "20-F3-75-5E-47-F0".
Request Failures
It is possible for any request to fail. Errors are reported using standard HTTP response codes. It should be assumed the following errors could be returned by any API method: 301 Moved Permanently, 307 Temporary Redirect, 400 Bad Request, 401 Unauthorized, 403 Forbidden, 429 Too Many Requests, 500 Internal Server Error, 503 Service Unavailable. Where other errors may be returned, the type of error is indicated in the API method description. All errors are documented in the API Errors section. API requests may fail due to concurrent updates, where an API request collides with another API request, and NSX cannot reconcile the two operations. In that case, the client must re-fetch the resource, apply the changes, and re-submit the operation.
Request Authentication
Most API calls require authentication. This API supports several different authentication schemes, which are documented in this section. Multiple authentication schemes may not be used concurrently.
HTTP Basic Authentication
To authenticate a request using HTTP Basic authentication, the caller's credentials are passed using the 'Authorization' header. The header content should consist of a base64-encoded string containing the username and password separated by a single colon (":") character, as specified in RFC 1945 section 11.1.
For example, to authenticate a request using the credentials of user admin with password admin, include the following header with the request:
The following cURL command will authenticate to the manager using basic authentication and will issue a GET request for the top-level global-infra object.
where:
USERNAME is the user to authenticate as,
PASSWORD is the password to provide, and
GLOBAL_MANAGER is the IP address or host name
of the NSX global manager
For example:
Note: the -k argument instructs cURL to skip verifying the manager's self-signed X.509 certificate. It is more secure to verify that the server's certificate is signed by a Certificate Authority (CA) that you trust. To do that, omit the -k argument and use the --cacert <ca-file> option, where <ca-file> is a PEM-formatted file containing the CA certificate to trust.
For example:
Additional cURL examples below use the -k flag, but you can always substitute the --rootca <ca-file> argument for additional security.
In the above examples, USERNAME may be:
- A local user name. For example, "admin".
- A remote user name, of the form "user@domain", for example, "[email protected]". The domain must match a domain for a configured VIDM identity source or a configured LDAP identity source.
Session-Based Authentication
Session-based authentication is used by calling the /api/session/create authentication API to manage a session cookie. The session cookie returned in the result of a successful login must be provided in subsequent requests in order to associate those requests with the session.
Session state is local to the server responding to the API request. Idle sessions will automatically time-out, or can be terminated immediately using the POST /api/session/destroy API.
To obtain a session cookie, POST form data to the server using the application/x-ww-form-urlencoded media type, with fields "j_username" and "j_password" containing the username and password separated by an ampersand. Since an ampersand is a UNIX shell metacharacter, you may need to surround the argument with single quotes.
If the user is a remote user, append "@domain" to the username, for example, "[email protected]". The domain must match a domain for a configured VIDM identity source or a configured LDAP identity source.
The following cURL command will authenticate to the server, will deposit the session cookie in the file "cookies.txt", and will write all HTTP response headers to the file headers.txt. One of these headers is the X-XSRF-TOKEN header that you will need to provide in subsequent requests.
For example:
The manager will respond with the roles and permissions granted to the user, and cURL will deposit the session cookie into the file "cookies.txt".
In subsequent cURL requests, use the -b argument to specify the cookie file. You also need to pass the X-XSRF-TOKEN header that was saved to the headers.txt file, using cURL's -H option:
When the session expires, the manager will respond with a 403 Forbidden HTTP response, at which point you must obtain a new session cookie and X-XSRF-TOKEN.
Session cookies can be destroyed by using the /api/session/destroy API:
Authentication using an X.509 certificate and a Principal Identity
NSX supports using an X.509 client certificate for authentication. The certificate is associated with a principal identity (a short name, similar to a username), and that principal identity can be bound to an NSX role. This is useful for automated processes or scripts that perform NSX API calls, and has the advantage that a user password does not need to be stored with the script.
For information on how to import a certificate and set up a principal identity, see the section "Add a Role Assignment or Principal Identity" in the NSX Administration Guide.
To use the client certificate to authenticate, your client must have access to the certificate and its associated private key. How to specify client authentication depends on the client you are using. For example, with curl, you use the --key argument to give the filename containing the private key and the --cert argument to give the filename containg the public certificate.
API Pagination
When responding to operations that return a ListResult type, NSX may limit the number of results returned. By default, the limit is 1000 results, but some APIs with large result payloads may return fewer results, even if a large number of results is requested by the client. Clients must be prepared to handle paginated results.
NSX indicates that it has returned fewer than the total number of results by including a "cursor" property in the response to the list operation. For example:
{
"results" : [
.... 1000 results omitted for clarity
],
"result_count" : 1322,
"sort_by" : "display_name",
"sort_ascending" : true,
"cursor" : "28de76e5-c7c2-4fa0-9a3e-0be891818d35"
}
The response indicates that there are a total of 1,322 results, but not all results are present in this response.
To get the next page of results, repeat the same list operation, but pass the returned cursor value. For example:
The response will return the next page of results. If there are more pages of results, the response will include a new cursor which can be used to get the next page of results. If this is the last page, then no cursor will be returned, as show below.
{
"results" : [
.... 322 results omitted for clarity
],
"sort_by" : "display_name",
"sort_ascending" : true,
}
The format of the "cursor" property is not meaningful to the client, and the client should not attempt to interpret the cursor's value. The format of the cursor may be different, depending on which API is called.
Example Requests and Responses
Example requests and responses are provided for most of the API calls below. Your actual response might differ from the example in the number of fields returned because optional empty fields are not returned when you make an API call.
Collection List Pagination
A call to the NSX API may return many thousands of results when the system is operating at scale. In such scenarios, the system performs pagination of response objects. All queries to the API must be capable of handling ListResults objects that contain partial results. Pagination in API works as follows:
The API will respond with a ListResult object that has at most page_size results. Note, that the client must always be ready to handle a paginated result, even if the client did not specify page_size.
The default page size is 1000. In case the result size exceeds the page size, the first page will be returned. You need to retrieve the remaining with cursor.
When doing an API call against the NSX-T API, there are a variety of objects which have limits on the number of returned items allowed. The limits themselves are different depending on the objects.
The way you can tell if pagination is being activated is by looking for an attribute called 'cursor'. For example, here is the end of a call for all firewall rule sections:
End of the results:
So, looking at our result attributes we can see the overall result count is 1448 and we can tell pagination was activated, because we have a 'cursor' attribute. If you have a 'cursor' attribute returned in your overall results, pagination is activating and truncating those results. You need to retrieve the remaining with cursor.
You pass the cursor attribute in standard URL options with the value specified to the exact same call until you no longer have a cursor attribute returned, for example:
which will return the 2nd page of results.
Optimistic Concurrency Control and the _revision property
Overview
In order to prevent one client from overwriting another client's updates, NSX employs a technique called optimistic concurrency control.
All REST payloads contain a property named "_revision". This is an integer that is incremented each time an existing resource is updated. Clients must provide this property in PUT requests and it must match the current _revision or the update will be rejected. This guards against the following situation:
Client 1 reads resource A.
Client 2 reads resource A.
Client 1 replaces the display_name property of resource A and does a PUT to replace the resource.
Client 2 replaces is different property of resource A and attempts to perform a PUT operation.
Without optimistic concurrency control, Client 2's update would overwrite Client 1's update to the display_name property. Instead, Client 2 receives a 409 Conflict error. To recover, Client 2 must fetch the resource again, apply the change, and perform a PUT.
Exceptions for /policy APIs
APIs whose URI begins with /policy have slightly different behavior. For those APIs, the _revision property must not be set when PUT is used to create a new resource. Once the resource is created, however, the _revision property must be provided with PUT operations.
PATCH and _revision for /policy APIs
APIs whose URI begins with /policy support the PATCH operation. Those APIs do not require that the _revision property be provided. A client can, however, request that the _revision property be checked when it is performing a PATCH in the /infra path. To do this, the client should pass the query parameter enforce_revision_check, e.g. PATCH /infra?enforce_revision_check=true.
Partial PATCH
Partial patching of objects is a feature supported by NSX that allows patching a subset of properties of any object. This behavior needs to be explicitly activated. When partial patching is disabled (default behavior), the entire payload of object is expected to be provided in both PUT and PATCH operations for the /policy APIs.
In order to perform partial patching of existing objects using PATCH operation, partial patching should be activated using either one of the following approach:
- System-wide partial patch configuration
Partial patch can be activated/deactivated in the system by using the Partial Patch Config api (i.e. PATCH /policy/api/v1/system-config/nsx-partial-patch-config) with sample request payload.
{ "enable_partial_patch": "true" }Default is 'false'.
Note: If the API request header has 'nsx-enable-partial-patch' parameter, then the header takes precedence over this system-wide configuration. - Header parameter (request level configuration)
Partial patch can also be activated/deactivated using API request header parameter. This will override the system-wide configuration for a particular request.
To activate partial patch, use 'nsx-enable-partial-patch=true'
To deactivate partial patch, use 'nsx-enable-partial-patch=false'
If this parameter is not passed in header, the system level configuration will be considered for Partial Patch operation. This header parameter will be considered only for PATCH requests. For other requests (e.g. PUT, POST etc.), this header parameter will be ignored.
Some important considerations/notes on Partial Patch:
- Array properties will be replaced entirely in partial patch.
- If PATCH api is executed on a non-existing object, a new object will be created after performing all applicable validations.
- There are cases where properties of an object are inter-dependent on each other e.g. username and password, IP address and thumbprint etc. In such cases, the partial patch request expects all such inter-dependent fields to be provided (either all or none).
- Partial patch is not supported for 'Infra' object.
- Certain types like Labels, Security Policies (for the 'rules' attribute) and Services have special
handling for certain attributes in PATCH request. This behavior will not be overridden by Partial Patch.
For instance, specifying rules on Security policies as a part of the PATCH invocation merges the specified rules with the existing rules. For full replacement of rules, PUT operation needs to be performed on the Security Policy. - Partial patch will not work for properties accepting polymorphic types if the specified value has a type that is different from that of the existing value.
PUT Operations
NSX conforms to REST and HTTP standards regarding the operation of PUT operations. A PUT is always a full replace of a resource, and if any properties are omitted from the payload, those properties will be reset to default values. It is suggested that API clients retrieve the existing resource, apply any desired changes to the copy of the resource, and PUT the entire modified resource.
API Rate Limiting
The NSX API service has three settings that control the rate of incoming API requests:
1) A per-client rate limit, in requests per second. If a client makes more requests than this limit in one second, the API server will refuse to service the API request and will return an HTTP 429 Too Many Requests Error. By default, this limit is 100 requests per second.
2) A per-client concurrency limit. This is the maximum number of outstanding requests that a client can have. For example, a client can open multiple connections to NSX and submit operations on each connection. When this limit is exceeded, the server returns a 503 Server Unavailable error to the client. By default, this limit is 40 concurrent requests.
3) An overall maximum number of concurrent requests. This is the maximum number of API requests that can be in process on the server. If the server is at this limit, additional requests will be refused and the HTTP error 503 Service Unavailable will be returned to the client. By default, this limit is 199 concurrent requests.
The first two limits exist to provide some level of fairness across multiple clients of NSX, and are intended to prevent one greedy client from preventing other clients from making API requests.
The last limit is the server's way of protecting itself against an unintentional (or intentional) denial of service attack.
Each manager enforces the rate limit independently of the other managers. For example, in a 3-node cluster, each manager has a maximum concurrency of 199 requests, but across the cluster there may be a maximum of 199 * 3 = 597 concurrent requests.
While it is possible to configure these rate limits using the /api/v1/node/services/http API, it is not recommended. Instead, you should design your API client to gracefully deal with situations where limits are exceeded.
Designing API client code to work gracefully with rate limits
One approach is to build in throttling into the client code so that it never sends more than 100 requests in a given second and that it never has more than 40 concurrent requests in flight.
However, there isn't any way to ensure that the overall concurrency limits are never hit. That is because there may be other clients calling APIs, driving up the load on the server. API clients need to check for the HTTP error 503 Service Unavailable. In the event a 503 error is received, the simplest strategy is to insert a delay, possibly with an exponential backoff in the event that server load is high.
There are open-source libraries than can help you implement this retry/backoff behavior, such as Google's Retry helper in its Python google-api-core library. For an example of using this library with the NSX APIs, see https://github.com/vmware-samples/nsx-t/blob/master/python/basics/rate-limits.py
OpenAPI Specification of NSX APIs
You can download OpenAPI specifications for the NSX Global Policy API at the following URLs:
NSX Global Policy API:
- GET https://<global-manager>/global-manager/api/v1/spec/openapi/nsx_global_policy_api.yaml
- GET https://<global-manager>/global-manager/api/v1/spec/openapi/nsx_global_policy_api.json
Certificates
Certificates: Ca Bundles
- GET /global-manager/api/v1/global-infra/cabundles
- DELETE /global-manager/api/v1/global-infra/cabundles/{cabundle-id}
- GET /global-manager/api/v1/global-infra/cabundles/{cabundle-id}
- PATCH /global-manager/api/v1/global-infra/cabundles/{cabundle-id}
- POST /global-manager/api/v1/global-infra/cabundles/{cabundle-id}
- PUT /global-manager/api/v1/global-infra/cabundles/{cabundle-id}
- GET /global-manager/api/v1/global-infra/cabundles/{cabundle-id}/pem-file
- GET /global-manager/api/v1/global-infra/certificates
- DELETE /global-manager/api/v1/global-infra/certificates/{certificate-id}
- GET /global-manager/api/v1/global-infra/certificates/{certificate-id}
- PATCH /global-manager/api/v1/global-infra/certificates/{certificate-id}
- PUT /global-manager/api/v1/global-infra/certificates/{certificate-id}
Returns information about all the CA bundles
Returns information about all the bundles of trusted CA certificates.Request:
Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/cabundles Successful Response:
Example Response: { "result_count": 2, "results": [ { "_create_time": 0, "_create_user": "unknown", "_last_modified_time": 0, "_last_modified_user": "unknown", "_protection": "NOT_PROTECTED", "_revision": 0, "_system_owned": false, "display_name": "example-cabundle-id", "earliest_not_after": 1688688782000, "id": "example-cabundle-id", "marked_for_delete": false, "not_after_list": [1688688782000, ...], "overridden": false, "parent_path": "/infra", "path": "/infra/cabundles/example-cabundle-id", "relative_path": "example-cabundle-id", "resource_type": "CaBundle", "unique_id": "b829537a-fcdb-4349-b5e1-53fb40f69a8c" }, { "_create_time": 1611941474997, "_create_user": "unknown", "_last_modified_time": 1611941474997, "_last_modified_user": "unknown", "_protection": "NOT_PROTECTED", "_revision": 0, "_system_owned": true, "display_name": "default_trusted_public_ca_bundle", "earliest_not_after": 1616006013000, "id": "default_trusted_public_ca_bundle", "marked_for_delete": false, "not_after_list": [2289338164000, ...], "overridden": false, "parent_path": "/infra", "path": "/infra/cabundles/default_trusted_public_ca_bundle", "relative_path": "default_trusted_public_ca_bundle", "resource_type": "CaBundle", "unique_id": "293185d4-07e5-4a5e-b7b8-bd3a86fa270e"}], } ] } Required Permissions: Feature: policy_certificate Additional Errors:
Adds or replaces a CA bundle
Adds or replaces a new bundle of trusted CA certificates.The bundle must be a concatenation of one or more
PEM-encoded certificates.
Request:
Example Request: PUT https://<policy-mgr>/global-manager/api/v1/global-infra/cabundles/example-cabundle-id { "pem_encoded": "-----BEGIN CERTIFICATE-----\n[...]\n-----END CERTIFICATE-----", } Successful Response:
Example Response: { "_create_time": 0, "_create_user": "unknown", "_last_modified_time": 0, "_last_modified_user": "unknown", "_protection": "NOT_PROTECTED", "_revision": 0, "_system_owned": false, "display_name": "example-cabundle-id", "earliest_not_after": 1688688782000, "id": "example-cabundle-id", "marked_for_delete": false, "not_after_list": [1688688782000, ...], "overridden": false, "parent_path": "/infra", "path": "/infra/cabundles/example-cabundle-id", "relative_path": "example-cabundle-id", "resource_type": "CaBundle", "unique_id": "b829537a-fcdb-4349-b5e1-53fb40f69a8c" } Required Permissions: Feature: policy_certificate Additional Errors:
Adds or updates a CA bundle
Adds or updates a new bundle of trusted CA certificates.The bundle must be a concatenation of one or more
PEM-encoded certificates. The PEM-encoded bundle is replaced
with the one provided in the request.
Request:
Example Request: PATCH https://<policy-mgr>/global-manager/api/v1/global-infra/cabundles/example-cabundle-id { "pem_encoded": "-----BEGIN CERTIFICATE-----\n[...]\n-----END CERTIFICATE-----", } Successful Response:
Example Response: { "_create_time": 0, "_create_user": "unknown", "_last_modified_time": 0, "_last_modified_user": "unknown", "_protection": "NOT_PROTECTED", "_revision": 1, "_system_owned": false, "display_name": "example-cabundle-id", "earliest_not_after": 1688688782000, "id": "example-cabundle-id", "marked_for_delete": false, "not_after_list": [1688688782000, ...], "overridden": false, "parent_path": "/infra", "path": "/infra/cabundles/example-cabundle-id", "relative_path": "example-cabundle-id", "resource_type": "CaBundle", "unique_id": "b829537a-fcdb-4349-b5e1-53fb40f69a8c" } Required Permissions: Feature: policy_certificate Additional Errors:
Adds or replaces a CA bundle
Adds or replaces a new bundle of trusted CA certificates.The multipart-uploaded file must be a concatenation of one or more
PEM-encoded certificates.
Request:
Example Request: POST https://<policy-mgr>/global-manager/api/v1/global-infra/cabundles/example-cabundle-id Content-Type: multipart/form-data; boundary=243332e4709e58a3bd679ef3c7b1259a --243332e4709e58a3bd679ef3c7b1259a Content-Disposition: form-data; name="file"; filename="example-cabundle.pem" -----BEGIN CERTIFICATE----- [...] -----END CERTIFICATE----- -----BEGIN CERTIFICATE----- [...] -----END CERTIFICATE----- [...] --243332e4709e58a3bd679ef3c7b1259a-- Successful Response:
Example Response: { "_create_time": 0, "_create_user": "unknown", "_last_modified_time": 0, "_last_modified_user": "unknown", "_protection": "NOT_PROTECTED", "_revision": 0, "_system_owned": false, "display_name": "example-cabundle-id", "earliest_not_after": 1688688782000, "id": "example-cabundle-id", "marked_for_delete": false, "not_after_list": [1688688782000, ...], "overridden": false, "parent_path": "/infra", "path": "/infra/cabundles/example-cabundle-id", "relative_path": "example-cabundle-id", "resource_type": "CaBundle", "unique_id": "b829537a-fcdb-4349-b5e1-53fb40f69a8c" } Required Permissions: Feature: policy_certificate Additional Errors:
Deletes CA bundle
Deletes the specified bundle of trusted CA certificates.Request:
Example Request: DELETE https://<policy-mgr>/global-manager/api/v1/global-infra/cabundles/example-cabundle-id Successful Response:
Example Response: 200 OK Required Permissions: Feature: policy_certificate Additional Errors:
Returns information about a CA bundle
Returns information about the specified bundle of trusted CAcertificates.
Request:
Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/cabundles/example-cabundle-id Successful Response:
Example Response: { "_create_time": 0, "_create_user": "unknown", "_last_modified_time": 0, "_last_modified_user": "unknown", "_protection": "NOT_PROTECTED", "_revision": 0, "_system_owned": false, "certificates": [ { "is_ca": true, "is_valid": true, "issuer": "CN=test.local,O=Internet Widgits Pty Ltd,ST=Some-State,C=AU", "issuer_cn": "test.local", "not_after": 1688688782000, "not_before": 1602202382000, "public_key_algo": "RSA", "public_key_length": 2048, "rsa_public_key_exponent": "10001", "rsa_public_key_modulus": "00 cf ...", "serial_number": "abffbac5ca0a1934357be127156f6615cc14400", "signature": "1e 81 ...", "signature_algorithm": "SHA256WITHRSA", "subject": "CN=test.local,O=Internet Widgits Pty Ltd,ST=Some-State,C=AU", "subject_cn": "test.local", "version": "3", }, ... ], "display_name": "example-cabundle-id", "earliest_not_after": 1688688782000, "id": "example-cabundle-id", "marked_for_delete": false, "not_after_list": [1688688782000, ...], "overridden": false, "parent_path": "/infra", "path": "/infra/cabundles/example-cabundle-id", "relative_path": "example-cabundle-id", "resource_type": "CaBundle", "unique_id": "b829537a-fcdb-4349-b5e1-53fb40f69a8c" } Required Permissions: Feature: policy_certificate Additional Errors:
Downloads a CA bundle
Downloads the specified PEM-encoded bundle of trusted CA certificates.Request:
Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/cabundles/example-cabundle-id Successful Response:
Example Response: -----BEGIN CERTIFICATE----- [...] -----END CERTIFICATE----- -----BEGIN CERTIFICATE----- [...] -----END CERTIFICATE----- [...] Required Permissions: Feature: policy_certificate Additional Errors:
Return All the User-Facing Components' Certificates
Returns all certificate information viewable by the user, including eachcertificate's id; pem_encoded data; and history of the
certificate (who created or modified it and when). For additional
information, include the ?details=true modifier at the end of the request
URI.
Request:
Example Request: GET https://<policy-mgr>/global-manager/api/v1/certificates Successful Response:
Example Response: { "sort_ascending": true, "sort_by": "display_name", "result_count": 2, "results": [ { "resource_type": "TlsCertificate", "id": "caCert", "display_name": "caCert", "path": "/infra/certificates/caCert", "parent_path": "/infra", "relative_path": "caCert", "details": [ ... ], "pem_encoded": "-----BEGIN CERTIFICATE-----
Add a New Certificate
Adds a new private-public certificate and, optionally, a private key thatcan be applied to one of the user-facing components (appliance management
or edge). The certificate and the key should be stored in PEM format. If
no private key is provided, the certificate is used as a client
certificate in the trust store.
A private key can be uploaded for a CA certificate only if the "purpose"
parameter is set to "signing-ca".
A certificate chain will not be expanded
into separate certificate instances for reference, but would be pushed to
the enforcement point as a single certificate. This PUT method does
not modify an existing certificate.
Request:
Example Request: PUT https://<policy-mgr>/global-manager/api/v1/certificates/selfSignedCert { "_revision":"0", "pem_encoded": "-----BEGIN CERTIFICATE-----
Example Response: { "resource_type": "TlsCertificate", "id": "selfSignedCert", "display_name": "selfSignedCert", "path": "/infra/certificates/selfSignedCert", "parent_path": "/infra", "relative_path": "selfSignedCert", "details": [ { "issuer_cn": "vSM Test Certificate", "public_key_length": 1024, "signature": "4e cf ff 36 ac a1", "not_before": 1323772715000, "subject": "1.2.840.113549.1.9.1=#16076140622e636f6d,CN=vSM Test Certificate,OU=vShield,O=VMware,L=Pune,ST=Maharashtra,C=IN", "serial_number": "ca55f5e21a0b2dd2", "public_key_algo": "RSA", "version": "1", "issuer": "1.2.840.113549.1.9.1=#16076140622e636f6d,CN=vSM Test Certificate,OU=vShield,O=VMware,L=Pune,ST=Maharashtra,C=IN", "is_ca": false, "subject_cn": "vSM Test Certificate", "not_after": 1355308715000, "is_valid": false, "rsa_public_key_exponent": "10001", "signature_algorithm": "SHA1WITHRSA", "rsa_public_key_modulus": "00 b7 8f 79 e4" } ], "pem_encoded": "-----BEGIN CERTIFICATE-----
Add a New Certificate
Adds a new private-public certificate and, optionally, a private key thatcan be applied to one of the user-facing components (appliance management
or edge). The certificate and the key should be stored in PEM format. If
no private key is provided, the certificate is used as a client
certificate in the trust store.
A private key can be uploaded for a CA certificate only if the "purpose"
parameter is set to "signing-ca".
A certificate chain will not be expanded
into separate certificate instances for reference, but would be pushed to
the enforcement point as a single certificate. This patch method does
not modify an existing certificate.
Request:
Example Request: PATCH https://<policy-mgr>/global-manager/api/v1/certificates/certificate-1 { "pem_encoded": "-----BEGIN CERTIFICATE-----
Example Response: 200 OK Required Permissions: Feature: policy_certificate Additional Errors:
Show Certificate Data for the Given Certificate ID
Returns information for the specified certificate ID, including thecertificate's id; pem_encoded data; and history of the
certificate (who created or modified it and when). For additional
information, include the ?details=true modifier at the end of the request
URI.
Request:
Example Request: GET https://<policy-mgr>/global-manager/api/v1/certificates/selfSignedCertificate Successful Response:
Example Response: { "resource_type": "TlsCertificate", "id": "selfSignedCert", "display_name": "selfSignedCert", "path": "/infra/certificates/selfSignedCert", "parent_path": "/infra", "relative_path": "selfSignedCert", "details": [ { "issuer_cn": "vSM Test Certificate", "public_key_length": 1024, "signature": "4e cf ff 36 ac a1", "not_before": 1323772715000, "subject": "1.2.840.113549.1.9.1=#16076140622e636f6d,CN=vSM Test Certificate,OU=vShield,O=VMware,L=Pune,ST=Maharashtra,C=IN", "serial_number": "ca55f5e21a0b2dd2", "public_key_algo": "RSA", "version": "1", "issuer": "1.2.840.113549.1.9.1=#16076140622e636f6d,CN=vSM Test Certificate,OU=vShield,O=VMware,L=Pune,ST=Maharashtra,C=IN", "is_ca": false, "subject_cn": "vSM Test Certificate", "not_after": 1355308715000, "is_valid": false, "rsa_public_key_exponent": "10001", "signature_algorithm": "SHA1WITHRSA", "rsa_public_key_modulus": "00 b7 8f 79 e4" } ], "pem_encoded": "-----BEGIN CERTIFICATE-----
Delete Certificate for the Given Certificate ID
Removes the specified certificate. The private key associated with thecertificate is also deleted.
Request:
Example Request: DELETE https://<policy-mgr>/global-manager/api/v1/global-infra/certificates/signedDigitalCert Successful Response:
Example Response: 200 OK Required Permissions: Feature: policy_certificate Additional Errors:
Certificates: Crls
- GET /global-manager/api/v1/global-infra/crls
- DELETE /global-manager/api/v1/global-infra/crls/{crl-id}
- GET /global-manager/api/v1/global-infra/crls/{crl-id}
- PATCH /global-manager/api/v1/global-infra/crls/{crl-id}
- POST /global-manager/api/v1/global-infra/crls/{crl-id}?action=import
- POST /global-manager/api/v1/global-infra/crls/{crl-id}?action=upload
- PUT /global-manager/api/v1/global-infra/crls/{crl-id}
Return All Added CRLs
Returns information about all CRLs. For additional information, include the?details=true modifier at the end of the request URI.
Request:
Example Request: GET https://<policy-mgr>/global-manager/api/v1/crls?details=true Successful Response:
Example Response: { "result_count": 1, "results": [ { "resource_type": "TlsCrl", "display_name": "revoked certificates", "path": "/infra/crls/revokedCerts", "parent_path": "/infra", "relative_path": "revokedCerts", "pem_encoded": "-----BEGIN X509 CRL-----
Create or patch a Certificate Revocation List
Create or patch a Certificate Revocation List for the given id. The CRL is used toverify the client certificate status against the revocation lists published by the CA.
For this reason, the administrator needs to add the CRL in certificate repository as well.
The CRL must contain PEM data for a single CRL.
A CRL can be in the PEM X.509 format (crl_type=X509) or JSON OneCRL
(crl_type=OneCRL).
If crl_type is not specified, it is auto-detected based on the presence of
fields pem_encoded or one_crl.
Request:
Example Request: PATCH https://<policy-mgr>/global-manager/api/v1/global-infra/crls/revokedCertsb { "display_name": "Revoked Certificates", "pem_encoded": "-----BEGIN X509 CRL-----
Example Response: 200 Ok Required Permissions: Feature: policy_certificate Additional Errors:
Create or fully replace a Certificate Revocation List
Create or replace a Certificate Revocation List for the given id. The CRL is used toverify the client certificate status against the revocation lists published by the CA.
For this reason, the administrator needs to add the CRL in certificate repository as well.
The CRL must contain PEM data for a single CRL. Revision is required.
A CRL can be in the PEM X.509 format (crl_type=X509) or JSON OneCRL
(crl_type=OneCRL).
If crl_type is not specified, it is auto-detected based on the presence of
fields pem_encoded or one_crl.
Request:
Example Request: PUT https://<policy-mgr>/global-manager/api/v1/global-infra/crls/revokedCerts { "display_name": "Revoked Certificates", "pem_encoded": "-----BEGIN X509 CRL-----
Example Response: { "resource_type": "TlsCrl", "display_name": "revoked certificates", "path": "/infra/crls/revokedCerts", "parent_path": "/infra", "relative_path": "revokedCerts", "pem_encoded": "-----BEGIN X509 CRL-----
Delete a CRL
Deletes an existing CRL. Request:Example Request: DELETE https://<policy-mgr>/global-manager/api/v1/global-infra/crls/revokedCerts Successful Response:
Example Response: 200 OK Required Permissions: Feature: policy_certificate Additional Errors:
Show CRL Data for the Given CRL id.
Returns information about the specified CRL. For additional information,include the ?details=true modifier at the end of the request URI.
Request:
Example Request: GET https://<policy-mgr>/global-manager/api/v1/crls/revokedCerts?details=true Successful Response:
Example Response: { "resource_type": "TlsCrl", "display_name": "revoked certificates", "path": "/infra/crls/revokedCerts", "parent_path": "/infra", "relative_path": "revokedCerts", "pem_encoded": "-----BEGIN X509 CRL-----
Create a new Certificate Revocation List
Adds a new certificate revocation list (CRLs). The CRL is used to verify the clientcertificate status against the revocation lists published by the CA. For this reason,
the administrator needs to add the CRL in certificate repository as well.
A CRL can be in the PEM X.509 format (crl_type=X509) or JSON OneCRL
(crl_type=OneCRL).
If crl_type is not specified, it is auto-detected based on the presence of
fields pem_encoded or one_crl.
An X.509 CRL can contain a single CRL or multiple CRLs depending on the PEM data.
- Single CRL: a single CRL is created with the given id.
- Composite CRL: multiple CRLs are generated. Each of the CRL is created with an id
generated based on the given id. First CRL is created with crl-id, second with crl-id-1,
third with crl-id-2, etc.
Request:
Example Request: PATCH https://<policy-mgr>/global-manager/api/v1/global-infra/crls/revokedCertsb { "display_name": "Revoked Certificates", "pem_encoded": "-----BEGIN X509 CRL-----
Example Response: { "results": [{ "resource_type": "TlsCrl", "display_name": "revoked certificates", "path": "/infra/crls/revokedCerts", "parent_path": "/infra", "relative_path": "revokedCerts", "pem_encoded": "-----BEGIN X509 CRL-----
Upload a new or updated Certificate Revocation List
Adds or replaces a certificate revocation list (CRLs). The CRL is used to verify the clientcertificate status against the revocation lists published by the CA. For this reason,
the administrator needs to add the CRL in certificate repository as well.
A CRL can be in the PEM X.509 format (crl_type=X509) or JSON OneCRL
(crl_type=OneCRL).
If crl_type is not specified, it is auto-detected based on the upload content.
An X.509 CRL can contain a single CRL or multiple CRLs depending on the PEM data.
- Single CRL: a single CRL is created with the given id.
- Composite CRL: multiple CRLs are generated. Each of the CRL is created with an id
generated based on the given id. First CRL is created with crl-id, second with crl-id-1,
third with crl-id-2, etc.
Differently from action=import, this method allows multi-part upload of the CRL(s).
The TlsCrl resource returned in the body of the response will have an empty pem_encoded
field, as it may be large. Use a GET request to retrieve the PEM-encoded CRL.
Request:
Example Request: POST https://<policy-mgr>/global-manager/api/v1/global-infra/crls/revokedCerts?action=import Content-Type: multipart/form-data; boundary=2a8ae6ad-f4ad-4d9a-a92c-6d217011fe0f --2a8ae6ad-f4ad-4d9a-a92c-6d217011fe0f Content-Disposition: form-data; name="file"; filename="mycrl.pem" -----BEGIN X509 CRL-----
Example Response: { "results": [{ "resource_type": "TlsCrl", "display_name": "revoked certificates", "path": "/infra/crls/revokedCerts", "parent_path": "/infra", "relative_path": "revokedCerts", "pem_encoded": "-----BEGIN X509 CRL-----
Certificates: Csrs
- GET /global-manager/api/v1/global-infra/csrs
- POST /global-manager/api/v1/global-infra/csrs?action=self_sign
- DELETE /global-manager/api/v1/global-infra/csrs/{csr-id}
- GET /global-manager/api/v1/global-infra/csrs/{csr-id}
- POST /global-manager/api/v1/global-infra/csrs/{csr-id}?action=create
- POST /global-manager/api/v1/global-infra/csrs/{csr-id}?action=import
- POST /global-manager/api/v1/global-infra/csrs/{csr-id}?action=upload
- POST /global-manager/api/v1/global-infra/csrs/{csr-id}?action=self_sign
- GET /global-manager/api/v1/global-infra/csrs/{csr-id}/pem-file
Return All the Generated CSRs
Returns information about all of the CSRs that have been created. Request:Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/csrs Successful Response:
Example Response: { "result_count": 1, "results": [ { "resource_type": "Csr", "id": "example-csr-id", "display_name": "example-csr-id", "path": "/infra/csrs/example-csr-id", "parent_path": "/infra/csrs/example-csr-id", "relative_path": "example-csr-id", "pem_encoded": "-----BEGIN CERTIFICATE REQUEST-----
Show CSR Data for the Given CSR ID
Returns information about the specified CSR. Request:Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/csrs/example-csr-id Successful Response:
Example Response: { "resource_type": "Csr", "id": "example-csr-id", "display_name": "example-csr-id", "path": "/infra/csrs/example-csr-id", "parent_path": "/infra/csrs/example-csr-id", "relative_path": "example-csr-id", "pem_encoded": "-----BEGIN CERTIFICATE REQUEST-----
Delete a CSR
Removes a specified CSR. If a CSR is not used for verification, you candelete it. Note that the CSR import and upload POST actions automatically
delete the associated CSR.
Request:
Example Request: DELETE https://<policy-mgr>/global-manager/api/v1/global-infra/csrs/example-csr-id Successful Response:
Required Permissions: Feature: policy_certificate Additional Errors:
Get CSR PEM File for the Given CSR ID
Downloads the CSR PEM file for a specified CSR. Clients must include an Accept: text/plain request header. Request:Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/csrs/example-csr-id/pem-file Accept: text/plain Successful Response:
Example Response: -----BEGIN CERTIFICATE REQUEST-----
Generate a New Certificate Signing Request
Creates a new certificate signing request (CSR). A CSR is encrypted text thatcontains information about your organization (organization name, country,
and so on) and your Web server's public key, which is a public certificate
the is generated on the server that can be used to forward this request to a
certificate authority (CA). A private key is also usually created at the
same time as the CSR.
Request:
Example Request: POST https://<policy-mgr>/global-manager/api/v1/global-infra/csrs/example-csr-id?action=create { "subject": { "attributes": [ {"key":"CN","value":"Jane"}, {"key":"O","value":"VMware"}, {"key":"OU","value":"NSBU"}, {"key":"C","value":"US"}, {"key":"ST","value":"CA"}, {"key":"L","value":"PA"} ] }, "key_size": "2048", "algorithm": "RSA", "is_ca": false } Successful Response:
Example Response: { "resource_type": "TlsCsr", "id": "example-csr-id", "display_name": "example-csr-id", "path": "/infra/csrs/example-csr-id", "parent_path": "/infra/csrs", "relative_path": "example-csr-id", "pem_encoded": "-----BEGIN CERTIFICATE REQUEST-----
Import a Certificate Associated with an Approved CSR
Imports a certificate authority (CA)-signed certificate for a CSR. Thisaction links the certificate to the private key created by the CSR. The
pem_encoded string in the request body is the signed certificate provided by
your CA in response to the CSR that you provide to them. The import POST
action automatically deletes the associated CSR.
Request:
Example Request: POST https://<policy-mgr>/global-manager/api/v1/global-infra/csrs/example-csr-id?action=import { "pem_encoded": "-----BEGIN CERTIFICATE-----
Example Response: { "resource_type": "TlsCertificate", "id": "669f4e8f-061e-4c73-8cfb-1044181eb365", "display_name": "example-csr-id", "path": "/infra/certificates/669f4e8f-061e-4c73-8cfb-1044181eb365", "parent_path": "/infra", "relative_path": "example-csr-id", "details": [ { "issuer_cn": "vSM Test Certificate", "public_key_length": 1024, "signature": "4e cf ff 36 ac a1", "not_before": 1323772715000, "subject": "CN=Jane,O=VMware,OU=NSBU,ST=CA,C=US,PA=L", "serial_number": "ca55f5e21a0b2dd2", "public_key_algo": "RSA", "version": "1", "issuer": "1.2.840.113549.1.9.1=#16076140622e636f6d,CN=vSM Test Certificate,OU=vShield,O=VMware,L=Pune,ST=Maharashtra,C=IN", "is_ca": false, "subject_cn": "Jane", "not_after": 1355308715000, "is_valid": false, "rsa_public_key_exponent": "10001", "signature_algorithm": "SHA1WITHRSA", "rsa_public_key_modulus": "00 b7 8f 79 e4" } ], "pem_encoded": "-----BEGIN CERTIFICATE-----
Self-Sign the CSR
Self-signs the previously generated CSR. This action is similar to theimport certificate action, but instead of using a public certificate signed
by a CA, the self_sign POST action uses a certificate that is signed with
NSX's own private key. The maximum validity limit for non-CA certificates
is 825 days, except that values of 3,650 and 36,500 days are allowed.
No limit is set for CA certificates.
Request:
Example Request: POST https://<policy-mgr>/global-manager/api/v1/global-infra/csrs/example-csr-id?action=self_sign&days_valid=365 Successful Response:
Example Response: { "resource_type": "TlsCertificate", "id": "669f4e8f-061e-4c73-8cfb-1044181eb365", "display_name": "example-csr-id", "path": "/infra/certificates/669f4e8f-061e-4c73-8cfb-1044181eb365", "parent_path": "/infra", "relative_path": "669f4e8f-061e-4c73-8cfb-1044181eb365", "details": [ { "issuer_cn": "Jane", "public_key_length": 1024, "signature": "4e cf ff 36 ac a1", "not_before": 1323772715000, "subject": "CN=Jane,O=VMware,OU=NSBU,ST=CA,C=US,PA=L", "serial_number": "ca55f5e21a0b2dd2", "public_key_algo": "RSA", "version": "1", "issuer": "CN=Jane,O=VMware,OU=NSBU,ST=CA,C=US,PA=L", "is_ca": false, "subject_cn": "Jane", "not_after": 1355308715000, "is_valid": false, "rsa_public_key_exponent": "10001", "signature_algorithm": "SHA1WITHRSA", "rsa_public_key_modulus": "00 b7 8f 79 e4" } ], "pem_encoded": "-----BEGIN CERTIFICATE-----
Upload the Certificate PEM File Signed by the CA Associated with a CSR
Uploads the certificate authority (CA)-signed certificate. After you sendthe certificate request to the CA of your choice, and the CA sends back the
signed certificate, you can use the upload POST action to upload the signed
certificate. The upload action is similar to the import action, but the
upload action allows you to directly upload the PEM-encoded file (signed
certificate) provided by the CA. Like the import POST action, the upload
POST action automatically deletes the associated CSR.
Request:
Example Request: POST https://<policy-mgr>/global-manager/api/v1/global-infra/csrs/example-csr-id?action=upload Content-Type: multipart/form-data; boundary=2a8ae6ad-f4ad-4d9a-a92c-6d217011fe0f --2a8ae6ad-f4ad-4d9a-a92c-6d217011fe0f Content-Disposition: form-data; name="file"; filename="mycert.pem" -----BEGIN CERTIFICATE-----
Example Response: { "resource_type": "TlsCertificate", "id": "669f4e8f-061e-4c73-8cfb-1044181eb365", "display_name": "example-csr-id", "path": "/infra/certificates/669f4e8f-061e-4c73-8cfb-1044181eb365", "parent_path": "/infra", "relative_path": "example-csr-id", "details": [ { "issuer_cn": "vSM Test Certificate", "public_key_length": 1024, "signature": "4e cf ff 36 ac a1", "not_before": 1323772715000, "subject": "CN=Jane,O=VMware,OU=NSBU,ST=CA,C=US,PA=L", "serial_number": "ca55f5e21a0b2dd2", "public_key_algo": "RSA", "version": "1", "issuer": "1.2.840.113549.1.9.1=#16076140622e636f6d,CN=vSM Test Certificate,OU=vShield,O=VMware,L=Pune,ST=Maharashtra,C=IN", "is_ca": false, "subject_cn": "Jane", "not_after": 1355308715000, "is_valid": false, "rsa_public_key_exponent": "10001", "signature_algorithm": "SHA1WITHRSA", "rsa_public_key_modulus": "00 b7 8f 79 e4" } ], "pem_encoded": "-----BEGIN CERTIFICATE-----
Generate a new self-signed certificate
Creates a new self-signed certificate. A private key is also created at thesame time. This is convenience call that will generate a CSR and then self-sign it.
The maximum validity limit for non-CA certificates is 825 days, except that values
of 3,650 and 36,500 days are allowed. No limit is set for CA certificates.
Request:
Example Request: POST https://<policy-mgr>/global-manager/api/v1/global-infra/csrs?action=self_sign { "subject": { "attributes": [ {"key":"CN","value":"Jane"}, {"key":"O","value":"VMware"}, {"key":"OU","value":"NSBU"}, {"key":"C","value":"US"}, {"key":"ST","value":"CA"}, {"key":"L","value":"PA"} ] }, "key_size": "2048", "algorithm": "RSA", "days_valid": 365, } Successful Response:
Example Response: { "resource_type": "TlsCertificate", "id": "669f4e8f-061e-4c73-8cfb-1044181eb365", "display_name": "example-csr-id", "path": "/infra/certificates/669f4e8f-061e-4c73-8cfb-1044181eb365", "parent_path": "/infra", "relative_path": "669f4e8f-061e-4c73-8cfb-1044181eb365", "details": [ { "issuer_cn": "Jane", "public_key_length": 1024, "signature": "4e cf ff 36 ac a1", "not_before": 1323772715000, "subject": "CN=Jane,O=VMware,OU=NSBU,ST=CA,C=US,PA=L", "serial_number": "ca55f5e21a0b2dd2", "public_key_algo": "RSA", "version": "1", "issuer": "CN=Jane,O=VMware,OU=NSBU,ST=CA,C=US,PA=L", "is_ca": false, "subject_cn": "Jane", "not_after": 1355308715000, "is_valid": false, "rsa_public_key_exponent": "10001", "signature_algorithm": "SHA1WITHRSA", "rsa_public_key_modulus": "00 b7 8f 79 e4" } ], "pem_encoded": "-----BEGIN CERTIFICATE-----
Enforcement Points
Enforcement Points: Edge Clusters
- GET /global-manager/api/v1/global-infra/sites/{site-id}/enforcement-points
- POST /global-manager/api/v1/global-infra/sites/{site-id}/enforcement-points/{enforcement-point-id}?action=full-sync
- DELETE /global-manager/api/v1/global-infra/sites/{site-id}/enforcement-points/{enforcementpoint-id}
- GET /global-manager/api/v1/global-infra/sites/{site-id}/enforcement-points/{enforcementpoint-id}
- PATCH /global-manager/api/v1/global-infra/sites/{site-id}/enforcement-points/{enforcementpoint-id}
- POST /global-manager/api/v1/global-infra/sites/{site-id}/enforcement-points/{enforcementpoint-id}?action=reload
- PUT /global-manager/api/v1/global-infra/sites/{site-id}/enforcement-points/{enforcementpoint-id}
- GET /global-manager/api/v1/global-infra/sites/{site-id}/enforcement-points/{enforcementpoint-id}/edge-clusters
- GET /global-manager/api/v1/global-infra/sites/{site-id}/enforcement-points/{enforcementpoint-id}/edge-clusters/{edge-cluster-id}
List enforcementpoints under Site
Paginated list of all enforcementpoints under Site.Request:
Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/sites/default/enforcement-points Successful Response:
Example Response: { "sort_ascending": true, "sort_by": "display_name", "result_count": 1, "results": [ { "resource_type": "EnforcementPoint", "id": "nsxt-ep", "display_name": "/infra/sites/default/enforcement-points/nsxt-ep", "path": "/infra/sites/default/enforcement-points/nsxt-ep", "parent_path": "/infra/sites/default", "relative_path": "nsxt-ep", "connection_info": { "resource_type": "NSXTConnectionInfo", "enforcement_point_address": "10.192.201.163", "thumbprint": "f53d7052535613b3032a41d555631228cb4d0d8b584a8225b94fbf0ba83eb9a4" }, "_create_user": "admin", "_create_time": 1517262573524, "_last_modified_user": "admin", "_last_modified_time": 1517262753660, "_system_owned": false, "_protection": "NOT_PROTECTED", "_revision": 2 } ] } Required Permissions: Feature: site_admin Additional Errors:
Full sync EnforcementPoint from Site
Full sync EnforcementPoint from Site Request:Example Request: POST https://<policy-mgr>/global-manager/api/v1/global-infra/sites/default/enforcement-points/external-ep?action=full-sync Successful Response:
Required Permissions: Feature: site_admin Additional Errors:
Create/update a new Enforcement Point under Site
If the passed Enforcement Point does not already exist, create a new Enforcement Point.If it already exists, replace it.
Request:
Example Request: PUT https://<policy-mgr>/global-manager/api/v1/global-infra/sites/default/enforcement-points/nsxt-ep { "connection_info": { "enforcement_point_address":"10.192.201.163", "resource_type":"NSXTConnectionInfo", "username":"admin", "password":"Admin!23Admin", "thumbprint":"f53d7052535613b3032a41d555631228cb4d0d8b584a8225b94fbf0ba83eb9a4" }, "_revision" : 0 } Successful Response:
Example Response: { "resource_type": "EnforcementPoint", "id": "nsxt-ep", "display_name": "/infra/sites/default/enforcement-points/nsxt-ep", "path": "/infra/sites/default/enforcement-points/nsxt-ep", "parent_path": "/infra/sites/default", "relative_path": "nsxt-ep", "connection_info": { "resource_type": "NSXTConnectionInfo", "enforcement_point_address": "10.192.201.163", "thumbprint": "f53d7052535613b3032a41d555631228cb4d0d8b584a8225b94fbf0ba83eb9a4" }, "_create_user": "admin", "_create_time": 1517262573524, "_last_modified_user": "admin", "_last_modified_time": 1517262573524, "_system_owned": false, "_protection": "NOT_PROTECTED", "_revision": 0 } Required Permissions: Feature: site_admin Additional Errors:
Patch a new Enforcement Point under Site
If the passed Enforcement Point does not already exist, create a new Enforcement Point.If it already exists, patch it.
Request:
Example Request: PATCH https://<policy-mgr>/global-manager/api/v1/global-infra/sites/default/enforcement-points/nsxt-ep { "connection_info": { "enforcement_point_address":"10.192.201.163", "resource_type":"NSXTConnectionInfo", "username":"admin", "password":"Admin!23Admin", "thumbprint":"f53d7052535613b3032a41d555631228cb4d0d8b584a8225b94fbf0ba83eb9a4" } } Successful Response:
Required Permissions: Feature: site_admin Additional Errors:
Read an Enforcement Point under Infra/Site
Read an Enforcement Point under Infra/SiteRequest:
Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/sites/default/enforcement-points/nsxt-ep Successful Response:
Example Response: { "resource_type": "EnforcementPoint", "id": "nsxt-ep", "display_name": "/infra/sites/default/enforcement-points/nsxt-ep", "path": "/infra/sites/default/enforcement-points/nsxt-ep", "parent_path": "/infra/sites/default", "relative_path": "nsxt-ep", "connection_info": { "resource_type": "NSXTConnectionInfo", "enforcement_point_address": "10.192.201.163", "thumbprint": "f53d7052535613b3032a41d555631228cb4d0d8b584a8225b94fbf0ba83eb9a4" }, "_create_user": "admin", "_create_time": 1517262573524, "_last_modified_user": "admin", "_last_modified_time": 1517262753660, "_system_owned": false, "_protection": "NOT_PROTECTED", "_revision": 2 } Required Permissions: Feature: site_admin Additional Errors:
Delete EnforcementPoint from Site
Delete EnforcementPoint from Site Request:Example Request: DELETE https://<policy-mgr>/global-manager/api/v1/global-infra/sites/default/enforcement-points/nsxt-ep Successful Response:
Required Permissions: Feature: site_admin Additional Errors:
List Edge Clusters under an Enforcement Point
Paginated list of all Edge Clusters under an Enforcement PointRequest:
Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/sites/default/enforcement-points/nsxt-ep/edge-clusters Successful Response:
Example Response: { "sort_ascending": true, "sort_by": "display_name", "result_count": 1, "results": [ { "resource_type": "PolicyEdgeCluster", "id": "ec", "display_name": "/infra/sites/default/enforcement-points/nsxt-ep/edge-clusters/ec", "path": "/infra/sites/default/enforcement-points/nsxt-ep/edge-clusters/ec", "parent_path": "/infra/sites/default/enforcement-points/nsxt-ep", "relative_path": "ec", "policy_edge_nodes": [ { "id": "my-policy-edge-node-id", "edge_transport_node_path": "/infra/sites/default/enforcement-points/default/edge-transport-nodes/my-policy-edge-tn-id", "member_index": 0 }, { "id": "my-policy-edge-node-id-1", "edge_transport_node_path": "/infra/sites/default/enforcement-points/default/edge-transport-nodes/my-policy-edge-tn-id-1", "member_index": 1 } ] "nsx_id": "8ce97b79-e2da-4d73-bc3b-4723ccab0600", "_create_user": "admin", "_create_time": 1517262573524, "_last_modified_user": "admin", "_last_modified_time": 1517262753660, "_system_owned": false, "_protection": "NOT_PROTECTED", "_revision": 0 } ] } Required Permissions: Feature: policy_ep_edge Additional Errors:
Read an Edge Cluster under an Enforcement Point
Read an Edge Cluster under an Enforcement PointRequest:
Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/sites/default/enforcement-points/nsxt-ep/edge-clusters/ec Successful Response:
Example Response: { "resource_type": "PolicyEdgeCluster", "id": "ec", "display_name": "/infra/sites/default/enforcement-points/nsxt-ep/edge-clusters/ec", "path": "/infra/sites/default/enforcement-points/nsxt-ep/edge-clusters/ec", "parent_path": "/infra/sites/default/enforcement-points/nsxt-ep", "policy_edge_nodes": [ { "id": "my-policy-edge-node-id", "edge_transport_node_path": "/infra/sites/default/enforcement-points/default/edge-transport-nodes/my-policy-edge-tn-id", "member_index": 0 }, { "id": "my-policy-edge-node-id-1", "edge_transport_node_path": "/infra/sites/default/enforcement-points/default/edge-transport-nodes/my-policy-edge-tn-id-1", "member_index": 1 } ] "relative_path": "ec", "nsx_id": "8ce97b79-e2da-4d73-bc3b-4723ccab0600", "_create_user": "admin", "_create_time": 1517262573524, "_last_modified_user": "admin", "_last_modified_time": 1517262753660, "_system_owned": false, "_protection": "NOT_PROTECTED", "_revision": 0 } Required Permissions: Feature: policy_ep_edge Additional Errors:
Reload an Enforcement Point under Site
Reload an Enforcement Point under Site. This will read and updatefabric configs from enforcement point.
Request:
Example Request: POST https://<policy-mgr>/global-manager/api/v1/global-infra/sites/default/enforcement-points/nsxt-ep?action=reload Successful Response:
Example Response: { "resource_type": "EnforcementPoint", "id": "nsxt-ep", "display_name": "/infra/sites/default/enforcement-points/nsxt-ep", "path": "/infra/sites/default/enforcement-points/nsxt-ep", "parent_path": "/infra/sites/default", "relative_path": "nsxt-ep", "connection_info": { "resource_type": "NSXTConnectionInfo", "enforcement_point_address": "10.192.201.163", "thumbprint": "f53d7052535613b3032a41d555631228cb4d0d8b584a8225b94fbf0ba83eb9a4" }, "_create_user": "admin", "_create_time": 1517262573524, "_last_modified_user": "admin", "_last_modified_time": 1517262753660, "_system_owned": false, "_protection": "NOT_PROTECTED", "_revision": 2 } Required Permissions: Feature: site_admin Additional Errors:
Federation
Federation: Edge Transport Node (Remote Tep)
- GET /global-manager/api/v1/global-infra/sites/{site-id}/enforcement-points/{enforcementpoint-id}/edge-clusters/{edge-cluster-id}/edge-nodes/{policy-edge-node-id}/remote-tep-connectivity/bgp/neighbors
- GET /global-manager/api/v1/global-infra/sites/{site-id}/enforcement-points/{enforcementpoint-id}/edge-clusters/{edge-cluster-id}/edge-nodes/{policy-edge-node-id}/remote-tep-connectivity/bgp/neighbors/{neighbor-id}/advertised-routes
- GET /global-manager/api/v1/global-infra/sites/{site-id}/enforcement-points/{enforcementpoint-id}/edge-clusters/{edge-cluster-id}/edge-nodes/{policy-edge-node-id}/remote-tep-connectivity/bgp/neighbors/{neighbor-id}/routes
- GET /global-manager/api/v1/global-infra/sites/{site-id}/enforcement-points/{enforcementpoint-id}/edge-clusters/{edge-cluster-id}/edge-nodes/{policy-edge-node-id}/remote-tep-connectivity/bgp/summary
- GET /global-manager/api/v1/global-infra/sites/{site-id}/enforcement-points/{enforcementpoint-id}/edge-clusters/{edge-cluster-id}/edge-nodes/{policy-edge-node-id}/remote-tep-connectivity/tunnels/statistics
Paginated list of BGP Neighbors on edge transport node
Paginated list of paginated BGP neighbors on the edge transport node.Request:
Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/sites/default/enforcement-points/default/edge-clusters/fa0f2e56-a09c-42f6-9417-adcce68416a4/edge-nodes/0/remote-tep-connectivity/bgp/neighbors Successful Response:
Example Response: { "results": [ { "enabled": true, "neighbor_address": "172.20.10.20", "source_address": "172.20.10.10", "source_addresses": [ "172.20.10.10" ], "maximum_hop_limit": 0, "enable_bfd": false, "remote_as": 65000, "remote_as_num": "65000", "hold_down_timer": 15, "keep_alive_timer": 5, "address_families": [ { "type": "IPV6_UNICAST", "enabled": true, "in_filter_routemap_id": "90318bdc-d9a6-426e-98fc-53e3ea1b68a9", "out_filter_routemap_id": "f1490a33-34cc-4a96-a60a-1da4289f5394" } ], "allow_as_in": false, "graceful_restart_mode": "INVALID", "resource_type": "BgpNeighbor", "id": "504684af-8b62-44c9-8333-39884203b386", "_protection": "NOT_PROTECTED", "_create_time": 1734502487340, "_create_user": "system", "_last_modified_time": 1734502487340, "_last_modified_user": "system", "_revision": 0 }, { "enabled": true, "neighbor_address": "172.20.10.21", "source_address": "172.20.10.10", "source_addresses": [ "172.20.10.10" ], "maximum_hop_limit": 0, "enable_bfd": false, "remote_as": 65000, "remote_as_num": "65000", "hold_down_timer": 15, "keep_alive_timer": 5, "address_families": [ { "type": "IPV6_UNICAST", "enabled": true, "in_filter_routemap_id": "90318bdc-d9a6-426e-98fc-53e3ea1b68a9", "out_filter_routemap_id": "f1490a33-34cc-4a96-a60a-1da4289f5394" } ], "allow_as_in": false, "graceful_restart_mode": "INVALID", "resource_type": "BgpNeighbor", "id": "6f6178a5-5766-4765-b0a0-dbd7bcefa4e9", "_protection": "NOT_PROTECTED", "_create_time": 1734502487342, "_create_user": "system", "_last_modified_time": 1734502487342, "_last_modified_user": "system", "_revision": 0 } ], "result_count": 2 } Required Permissions: Feature: policy_ep_edge Additional Errors:
Get BGP neighbor advertised routes on edge transport node.
Returns routes advertised by BGP neighbor from the given edge transport node. It always returns realtime response.Request:
Example Request: GET https://<policy-mgr>/global-manager/api/v1//global-infra/sites/default/enforcement-points/default/edge-clusters/fa0f2e56-a09c-42f6-9417-adcce68416a4/edge-nodes/0/remote-tep-connectivity/bgp/neighbors/504684af-8b62-44c9-8333-39884203b386/advertised-routes Successful Response:
Example Response: { "neighbor_id": "504684af-8b62-44c9-8333-39884203b386", "neighbor_address": "172.20.10.20", "per_transport_node_routes": [ { "source_address": "172.20.10.10", "routes": [ { "network": "fc00::3:fcf9:23:fcf9/128", "next_hop": "::", "local_pref": 100, "weight": 32768, "med": 0, "as_path": "" }, { "network": "fc00::3:98f9:23:98f9/128", "next_hop": "::", "local_pref": 100, "weight": 32768, "med": 0, "as_path": "" }, { "network": "fc00::3:c0f9:23:c0f9/128", "next_hop": "::", "local_pref": 100, "weight": 32768, "med": 0, "as_path": "" } ] } ] } Required Permissions: Feature: policy_ep_edge Additional Errors:
Get BGP neighbor learned routes on edge transport node.
Returns routes learned by BGP neighbor from the given edge transport node. It always returns realtime response.Request:
Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/sites/default/enforcement-points/default/edge-clusters/fa0f2e56-a09c-42f6-9417-adcce68416a4/edge-nodes/0/remote-tep-connectivity/bgp/neighbors/504684af-8b62-44c9-8333-39884203b386/routes Successful Response:
Example Response: { "neighbor_id": "504684af-8b62-44c9-8333-39884203b386", "neighbor_address": "172.20.10.20", "per_transport_node_routes": [ { "source_address": "172.20.10.10", "routes": [ { "network": "fc00::3:fcf9:43:fcf9/128", "next_hop": "fe80::1:ac14:a14", "local_pref": 100, "weight": 32768, "med": 0, "as_path": "" }, { "network": "fc00::3:98f9:43:98f9/128", "next_hop": "fe80::1:ac14:a14", "local_pref": 100, "weight": 32768, "med": 0, "as_path": "" }, { "network": "fc00::3:c0f9:43:c0f9/128", "next_hop": "fe80::1:ac14:a14", "local_pref": 100, "weight": 32768, "med": 0, "as_path": "" } ] } ] } Required Permissions: Feature: policy_ep_edge Additional Errors:
Get Remote TEP BGP summary of policy edge transport node.
Get Remote TEP BGP summary of policy edge transport node.Request:
Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/sites/default/enforcement-points/default/edge-clusters/fa0f2e56-a09c-42f6-9417-adcce68416a4/edge-nodes/0/remote-tep-connectivity/bgp/summary Successful Response:
Example Response: { "policy_edge_node_path": "/infra/sites/default/enforcement-points/default/edge-clusters/fa0f2e56-a09c-42f6-9417-adcce68416a4/edge-nodes/0", "neighbor_status": [ { "source_address": "172.20.10.10", "local_port": 179, "neighbor_address": "172.20.10.20", "remote_port": 34703, "remote_as_number": "65000", "connection_state": "ESTABLISHED", "messages_received": 145809, "messages_sent": 145797, "time_since_established": 205949, "total_in_prefix_count": 3, "total_out_prefix_count": 3, "address_families": [ { "type": "IPV6_UNICAST", "in_prefix_count": 3, "out_prefix_count": 3 } ], "connection_drop_count": 6, "established_connection_count": 7, "hold_time": 15, "keep_alive_interval": 5, "graceful_restart_mode": "HELPER_ONLY", "announced_capabilities": [ "addPath IPv6 Unicast Rx", "IPv6 Unicast", "hostName advHostName", "routeRefresh", "4byteAs" ], "negotiated_capability": [ "addPath IPv6 Unicast Rx", "IPv6 Unicast", "hostName rcvHostName", "routeRefresh", "4byteAs" ], "neighbor_router_id": "172.20.10.20", "remote_site_path": "/global-infra/sites/Paris" }, { "source_address": "172.20.10.10", "local_port": 179, "neighbor_address": "172.20.10.21", "remote_port": 44337, "remote_as_number": "65000", "connection_state": "ESTABLISHED", "messages_received": 145778, "messages_sent": 145782, "time_since_established": 200713, "total_in_prefix_count": 3, "total_out_prefix_count": 3, "address_families": [ { "type": "IPV6_UNICAST", "in_prefix_count": 3, "out_prefix_count": 3 } ], "connection_drop_count": 12, "established_connection_count": 13, "hold_time": 15, "keep_alive_interval": 5, "graceful_restart_mode": "HELPER_ONLY", "announced_capabilities": [ "addPath IPv6 Unicast Rx", "IPv6 Unicast", "hostName advHostName", "routeRefresh", "4byteAs" ], "negotiated_capability": [ "addPath IPv6 Unicast Rx", "IPv6 Unicast", "hostName rcvHostName", "routeRefresh", "4byteAs" ], "neighbor_router_id": "172.20.10.21", "remote_site_path": "/global-infra/sites/Paris" } ], "last_update_timestamp": 1735231591677 } Required Permissions: Feature: policy_ep_edge Additional Errors:
Get cross-site tunnel statistics of policy edge transport node.
Returns RTEP to RTEP tunnel port statistics of the given edge node. It always returns realtime response.Request:
Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/sites/default/enforcement-points/default/edge-clusters/fa0f2e56-a09c-42f6-9417-adcce68416a4/edge-nodes/0/remote-tep-connectivity/tunnels/statistics Successful Response:
Example Response: { "stats_per_site": [ { "remote_site_path": "/global-infra/sites/Paris", "stats_per_tunnel": [ { "tunnel_source_address": "172.20.10.10", "tunnel_destination_address": "172.20.10.20", "rx": { "total_bytes": 30728445, "total_packets": 405923, "dropped_packets": 17, "blocked_packets": 0 }, "tx": { "total_bytes": 48996399, "total_packets": 409618, "dropped_packets": 0, "blocked_packets": 0 } }, { "tunnel_source_address": "172.20.10.10", "tunnel_destination_address": "172.20.10.21", "rx": { "total_bytes": 30361253, "total_packets": 401876, "dropped_packets": 23, "blocked_packets": 0 }, "tx": { "total_bytes": 48280988, "total_packets": 404029, "dropped_packets": 0, "blocked_packets": 0 } } ], "rx": { "total_bytes": 61089698, "total_packets": 807799, "dropped_packets": 40, "blocked_packets": 0 }, "tx": { "total_bytes": 97277387, "total_packets": 813647, "dropped_packets": 0, "blocked_packets": 0 } } ], "last_update_timestamp": 1735233402279 } Required Permissions: Feature: policy_ep_edge Additional Errors:
Federation: Federation Configuration
- GET /global-manager/api/v1/global-infra/federation-config
- GET /global-manager/api/v1/global-infra/global-manager-config?action=show-sensitive-data
- PATCH /global-manager/api/v1/global-infra/global-manager-config
- PUT /global-manager/api/v1/global-infra/global-manager-config
- GET /global-manager/api/v1/global-infra/overridden-resources
Read federation config
Read a federation config from Global Manager. Request:Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/federation-config GET https://<global-mgr>/global-manager/api/v1/global-infra/federation-config Successful Response:
Example Response: { "site_config" : [ { "site_id": "59ee0369-3d2b-4b2a-9221-594344f6ca4c", "rtep_ips": [ "10.192.201.163", "10.192.201.164" ], "site_index": 1, "site_path": "/global-infra/sites/paris" } ] } Required Permissions: Feature: site_admin Additional Errors:
Create or fully replace Global Manager Config
Create or fully replace a Global Manager Config.Revision is optional for creation and required for update.
Request:
Example Request: PUT https://<policy-mgr>/global-manager/api/v1/global-infra/global-manager-config { "rtep_config" : { "ibgp_password": "secureme" }, "_revision": 1 } Successful Response:
Example Response: { "resource_type": "GlobalManagerConfig", "_create_user": "admin", "_create_time": 1517262573524, "_last_modified_user": "admin", "_last_modified_time": 1517262573524, "_system_owned": false, "_protection": "NOT_PROTECTED", "_revision": 2 } Required Permissions: Feature: site_admin Additional Errors:
Create or patch Global Manager Config
Create or patch a Global Manager ConfigRequest:
Example Request: PATCH https://<policy-mgr>/global-manager/api/v1/global-infra/global-manager-config { "rtep_config" : { "ibgp_password": "secureme" } } Successful Response:
Required Permissions: Feature: site_admin Additional Errors:
Read Global Manager config along with sensitive data
Read a Global Manager config along with sensitive data.For example - rtep_config.ibgp_password
Request:
Example Request: GET https://<pglobal-mgr>/global-manager/api/v1/global-infra/global-manager-config?action=show-sensitive-data GET https://<policy-mgr>/global-manager/api/v1/global-infra/global-manager-config?action=show-sensitive-data Successful Response:
Example Response: { "resource_type": "GlobalManagerConfig", "rtep_config" : { "ibgp_password": "secureme" }, "_create_user": "admin", "_create_time": 1517262573524, "_last_modified_user": "admin", "_last_modified_time": 1517262573524, "_system_owned": false, "_protection": "NOT_PROTECTED", "_revision": 1 } Required Permissions: Feature: site_admin Additional Errors:
List overridden resources
List overridden resources Request:Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/overridden-resources Successful Response:
Example Response: { "results": [ { "intent_path": "/global-infra/spoofguard-profiles/spoofguard_disabled", "site_path": "/global-infra/sites/Paris", "resource_type": "OverriddenResource", "id": "SPOOFGUARD_PROFILE-spoofguard_disabled-Paris", "display_name": "/global-infra/overriden-objects/SPOOFGUARD_PROFILE-spoofguard_disabled-Paris", "path": "/global-infra/overriden-objects/SPOOFGUARD_PROFILE-spoofguard_disabled-Paris", "relative_path": "SPOOFGUARD_PROFILE-spoofguard_disabled-Paris", "parent_path": "/global-infra", "marked_for_delete": false, "overridden": false, "_system_owned": false, "_create_user": "system", "_create_time": 1580359905533, "_last_modified_user": "system", "_last_modified_time": 1580359905533, "_revision": 0 } ], "result_count": 1 } Required Permissions: Feature: site_admin Additional Errors:
Federation: Full Synchronization
List full sync states
List full sync state. Request:Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/full-sync-states Successful Response:
Example Response: { "result_count" : 1, "results" : [ "resource_type": "FullSyncState", "id": "1234", "full_sync_id": "1234", "last_completed_stage": "PROCESSED_DELTAS", "path": "/infra/fullsync-states/1234", "parent_path": "/infra", "relative_path": "1234", "_create_user": "SYSTEM", "_create_time": 1517262573524, "_last_modified_user": "SYSTEM", "_last_modified_time": 1517262573524, "_system_owned": true, "_revision": 2 ] } Required Permissions: Feature: site_admin Additional Errors:
Get full sync state
Get full sync state. Request:Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/full-sync-states/1234 Successful Response:
Example Response: { "resource_type": "FullSyncState", "id": "1234", "full_sync_id": "1234", "last_completed_stage": "PROCESSED_DELTAS", "path": "/infra/fullsync-states/1234", "parent_path": "/infra", "relative_path": "1234", "_create_user": "SYSTEM", "_create_time": 1517262573524, "_last_modified_user": "SYSTEM", "_last_modified_time": 1517262573524, "_system_owned": true, "_revision": 2 } Required Permissions: Feature: site_admin Additional Errors:
Federation: Global Managers
- GET /global-manager/api/v1/gm-operational-state
- GET /global-manager/api/v1/global-infra/global-managers
- DELETE /global-manager/api/v1/global-infra/global-managers/{global-manager-id}
- GET /global-manager/api/v1/global-infra/global-managers/{global-manager-id}
- PATCH /global-manager/api/v1/global-infra/global-managers/{global-manager-id}
- PUT /global-manager/api/v1/global-infra/global-managers/{global-manager-id}
- GET /global-manager/api/v1/global-infra/site-cleanup-pending
- GET /global-manager/api/v1/global-infra/upgrade-summary
Get Global Managed operational state
Global Manager operation state includes the current status, switchover statusof global manager nodes if any, errors if any and consolidated status of the
operation.
Request:
Example Request: GET https://<policy-mgr>/global-manager/api/v1/gm-operational-state Successful Response:
Example Response: { "status": "SWITCHING_TO_ACTIVE", "start_time": 2374925435, "end_time": 32342234, "consolidated_progress": "IN_PROGRESS", "nodes" :[ { "node-id": "23fae-332d-34243d-2342aa", "status": "COMPLETED", "start_time": 2374925435, "end_time": 32342234, }, { "node-id": "55fae-332d-34243d-2342fr", "status": "IN_PROGRESS", "start_time": 2374925435, "end_time": 32342234, } ] } Required Permissions: Feature: site_admin Additional Errors:
List Global Managers
List Global Managers under Infra.Request:
Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/global-managers Successful Response:
Example Response: { "result_count" : 2, "results" : [ { "resource_type": "GlobalManager", "id": "london", "gm_id": "aad93dd9-ea71-41d7-be0d-1b1fca616660", "display_name": "London GM", "path": "/infra/global-managers/london", "parent_path": "/infra/global-managers/london", "relative_path": "london", "mode": "ACTIVE", "_create_user": "admin", "_create_time": 1517262573524, "_last_modified_user": "admin", "_last_modified_time": 1517262573524, "_system_owned": false, "_protection": "NOT_PROTECTED", "_revision": 2 }, { "resource_type": "GlobalManager", "id": "Paris", "gm_id": "dfd93dd9-ea71-41d7-be0d-1b1fca616660", "display_name": "Paris GM", "path": "/infra/global-managers/Paris", "parent_path": "/infra/global-managers/Paris", "relative_path": "Paris", "mode": "STANDBY", "connection_info": [{ "fqdn": "10.190.201.163" }], "_create_user": "admin", "_create_time": 1517262573524, "_last_modified_user": "admin", "_last_modified_time": 1517262573524, "_system_owned": false, "_protection": "NOT_PROTECTED", "_revision": 1 } ] } Required Permissions: Feature: standby_site_admin Additional Errors:
Create or fully replace a Global Manager under infra
Create or fully replace Global Manager under Infra.Revision is optional for creation and required for update.
Global Manager id 'self' is reserved and can be used for referring to local
logged in Global Manager.
Example - /infra/global-managers/self
Request:
Example Request: PUT https://<policy-mgr>/global-manager/api/v1/global-infra/global-managers/Paris { "display_name": "Paris GM", "mode": "ACTIVE", "_revision" : 1 } Successful Response:
Example Response: { "resource_type": "GlobalManager", "id": "Paris", "display_name": "Paris GM", "path": "/infra/global-managers/Paris", "parent_path": "/infra/global-managers/Paris", "relative_path": "Paris", "mode": "ACTIVE", "_create_user": "admin", "_create_time": 1517262573524, "_last_modified_user": "admin", "_last_modified_time": 1517262573524, "_system_owned": false, "_protection": "NOT_PROTECTED", "_revision": 2 } Required Permissions: Feature: standby_site_admin Additional Errors:
Create or patch a Global Manager
Create or patch a Global Manager under Infra.Global Manager id 'self' is reserved and can be used for referring to local
logged in Global Manager.
Example - /infra/global-managers/self
Request:
Example Request: PATCH https://<policy-mgr>/global-manager/api/v1/global-infra/global-managers/Paris { "display_name": "Paris GM", "mode": "ACTIVE" } Successful Response:
Required Permissions: Feature: standby_site_admin Additional Errors:
Read a Global Manager
Retrieve information about a particular configured global manager.Global Manager id 'self' is reserved and can be used for referring to local
logged in Global Manager.
Example - /infra/global-managers/self
Request:
Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/global-managers/london Successful Response:
Example Response: { "resource_type": "GlobalManager", "id": "london", "gm_id": "dfd93dd9-ea71-41d7-be0d-1b1fca616660", "display_name": "London GM", "path": "/infra/global-managers/london", "parent_path": "/infra/global-managers/london", "relative_path": "london", "mode": "ACTIVE", "_create_user": "admin", "_create_time": 1517262573524, "_last_modified_user": "admin", "_last_modified_time": 1517262573524, "_system_owned": false, "_protection": "NOT_PROTECTED", "_revision": 2 } Required Permissions: Feature: standby_site_admin Additional Errors:
Delete a Global Manager under Infra
Delete a particular global manager under Infra.Global Manager id 'self' is reserved and can be used for referring to local
logged in Global Manager.
Example - /infra/global-managers/self
Request:
Example Request: DELETE https://<policy-mgr>/global-manager/api/v1/global-infra/global-managers/london Successful Response:
Required Permissions: Feature: standby_site_admin Additional Errors:
List resources pending to be cleaned from set of sites.
Paginated list of resources pending to be cleaned.Request:
Example Request: GET https://<global-manager>/global-manager/api/v1/global-infra/site-cleanup-pending?intent_path=/global-infra/tier-1s/t1&intent_path=/global-infra/tier-1s/t2 Successful Response:
Example Response: { "results":[ { "resource_path":"/global-infra/tier-1s/t1", "mark_for_delete":true, "pending_sites":[ { "site_id":"0692bb40-f47f-4b16-b09d-b8493e2c37ee", "site_path":"/global-infra/sites/LM-London" }, { "site_id":"1225c8b2-10a3-4b43-b1a0-b11d3b3e0656", "site_path":"/global-infra/sites/LM-Paris" } ] }, { "resource_path":"/global-infra/tier-1s/t1/segments/segment1", "mark_for_delete":true, "pending_sites":[ { "site_id":"0692bb40-f47f-4b16-b09d-b8493e2c37ee", "site_path":"/global-infra/sites/LM-London" }, { "site_id":"1225c8b2-10a3-4b43-b1a0-b11d3b3e0656", "site_path":"/global-infra/sites/LM-Paris" } ] }, { "resource_path":"/global-infra/tier-1s/t2", "mark_for_delete":false, "pending_sites":[ { "site_id":"0692bb40-f47f-4b16-b09d-b8493e2c37ee", "site_path":"/global-infra/sites/LM-London" } ] } ], "result_count":3, "sort_by":"resource_path", "sort_ascending":true } Required Permissions: Feature: site_admin Additional Errors:
Get Upgrade summary
API will return high level summary of Upgrade across various sites.Request:
Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/upgrade-summary Successful Response:
Example Response: { "result_count" : 1, "results" : [ { "id": "30f127c3-aab3-42ec-81f8-223b46184695", "name": "Paris Site", "gpm_name": "Paris GM", "site_type": "ACTIVE_SITE", "overall_upgrade_status": "IN_PROGRESS", "current_version": "3.0.0.2.0.68976345", "target_version": "3.1.0.0.0.76898768", "last_upgrade_timestamp": "3425325235235325", "site_ip": "10.2.35.6", "component_status": [ { "component_type": "EDGE", "component_status": "SUCCESS", "progress_percent": "100", "current_version_node_summary": [ { "2.3.4.5.6", "node_count": "2" } ], "target_version": "3.4.5.6.7" }, { "component_type": "HOST", "component_status": "SUCCESS", "progress_percent": "100", "current_version_node_summary": [ { "version": "2.3.4.5.6", "node_count": "3" }, { "version":"2.3.4,5,5", "node_count": "1" } ], "target_version": "3.4.5.6.7" }, { "component_type": "MP", "component_status": "SUCCESS", "progress_percent": "100", "current_version_node_summary": [ { "2.3.4.5.6", "node_count": "3" } ], "target_version": "3.4.5.6.7" } ] } ] } Required Permissions: Feature: utilities_upgrade Additional Errors:
Federation: Inter-Sites (Legacy Management Plane)
- GET /global-manager/api/v1/global-infra/segments/{segment-id}/inter-site-forwarder/site-span-info
- GET /global-manager/api/v1/global-infra/segments/{segment-id}/inter-site-forwarder/statistics
- GET /global-manager/api/v1/global-infra/segments/{segment-id}/inter-site-forwarder/status (Deprecated)
- GET /global-manager/api/v1/global-infra/tier-0s/{tier-0-id}/locale-services/{locale-services-id}/inter-site/bgp-summary (Deprecated)
- GET /global-manager/api/v1/global-infra/tier-0s/{tier-0-id}/locale-services/{locale-services-id}/inter-site/status (Deprecated)
- GET /global-manager/api/v1/global-infra/tier-1s/{tier-1-id}/locale-services/{locale-services-id}/inter-site-forwarder/status
- GET /global-manager/api/v1/global-infra/tier-1s/{tier-1-id}/segments/{segment-id}/inter-site-forwarder/site-span-info
- GET /global-manager/api/v1/global-infra/tier-1s/{tier-1-id}/segments/{segment-id}/inter-site-forwarder/statistics
- GET /global-manager/api/v1/global-infra/tier-1s/{tier-1-id}/segments/{segment-id}/inter-site-forwarder/status (Deprecated)
Get infra segment cross site forwarder placement and HA status
Get infra segment cross site forwarder placement and HA statuss.Request:
Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/segments/tier0-ls/inter-site-forwarder/site-span-info?enforcement_point_path=/global-infra/sites/default/enforcement-points/default Successful Response:
Example Response: { "segment_path": "/global-infra/segments/tier0-ls", "remote_macs_per_site": [ { "rtep_group_id": 2001, "remote_site": { "target_id": "258c50b4-c960-4005-9023-f7946e302162", "target_display_name": "India Site", "is_valid": true }, "remote_mac_addresses": [ "02:00:17:00:12:D3", "02:00:17:00:13:13" ], "remote_active_ips": [ "10.10.10.1" ], "remote_standby_ips": [ "20.20.20.1" ] } ], "last_update_timestamp": 1457117071089 } Required Permissions: Feature: policy_segment Additional Errors:
Get infra segment cross site traffic statistics
Get infra segment cross site traffic statistics.Request:
Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/segments/tier0-ls/inter-site-forwarder/stats?enforcement_point_path=/global-infra/sites/default/enforcement-points/default Successful Response:
Example Response: { "segment_path": "/global-infra/segments/tier0-ls", "rx": { "total_bytes": 56646, "total_packets": 342, "dropped_packets": 103 }, "tx": { "total_bytes": 1125548, "total_packets": 2235, "dropped_packets": 0 }, "last_update_timestamp": 1457117071089 } Required Permissions: Feature: policy_segment Additional Errors:
Get infra segment cross site traffic statistics (Deprecated)
Get infra segment cross site traffic statistics.Request:
Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/segments/tier0-ls/inter-site-forwarder/status?enforcement_point_path=/global-infra/sites/default/enforcement-points/default Successful Response:
Example Response: { "segment_path": "/global-infra/segments/tier0-ls", "rx": { "total_bytes": 56646, "total_packets": 342, "dropped_packets": 103 }, "tx": { "total_bytes": 1125548, "total_packets": 2235, "dropped_packets": 0 }, "last_update_timestamp": 1457117071089 } Required Permissions: Feature: policy_segment Additional Errors:
Get RTEP span and mac address-table (Deprecated)
Get RTEP span and mac address-table.Request:
Example Request: GET https://policy-mgr/global-manager/api/v1/global-infra/tier-0s/tier0/locale-services/tier0localeservices/inter-site/bgp-summary Successful Response:
Example Response: { "edge_cluster_path": "/infra/sites/default/enforcement-points/default/edge-clusters/b051d3f9-3ad8-4831-9d67-8ae1cd3f5a1e/edge-nodes/875381be-a4c5-4173-8aa7-ab71695a8129", "edge_nodes": [ { "edge_node_path": "/infra/sites/default/enforcement-points/default/edge-clusters/b051d3f9-3ad8-4831-9d67-8ae1cd3f5a1e/edge-nodes/875381be-a4c5-4173-8aa7-ab71695a8129", "neighbor_status": [ { "source_address": "10.1.1.1", "neighbor_address": "10.1.2.1", "remote_as_number": "1", "remote_port": 179, "local_port": 179, "connection_state": "ESTABLISHED", "time_since_established": 45628, "messages_received": 12, "messages_sent": 10, "connection_drop_count": 0, "established_connection_count": 1, "hold_time": 180, "keep_alive_interval": 30, "graceful_restart": true, "graceful_restart_mode": "HELPER_ONLY", "total_in_prefix_count": 2, "total_out_prefix_count": 1, "address_families": [ { "type": "IPV4_UNICAST", "in_prefix_count": 2, "out_prefix_count": 1 } ], "remote_site": { "target_id": "cfaec4c7-45c2-439b-b7c6-2c3aeabd9976", "target_display_name": "PA Site", "is_valid": true } } ], "last_update_timestamp": 1457117071089 }, { "source_address": "10.1.1.1", "neighbor_address": "10.1.2.1", "remote_as_number": "1", "remote_port": 179, "local_port": 179, "connection_state": "ESTABLISHED", "time_since_established": 45628, "messages_received": 12, "messages_sent": 10, "connection_drop_count": 0, "established_connection_count": 1, "hold_time": 180, "keep_alive_interval": 30, "graceful_restart": true, "graceful_restart_mode": "HELPER_ONLY", "total_in_prefix_count": 2, "total_out_prefix_count": 1, "address_families": [ { "type": "IPV4_UNICAST", "in_prefix_count": 2, "out_prefix_count": 1 } ], "remote_site": { "target_id": "cfaec4c7-45c2-439b-b7c6-2c3aeabd9976", "target_display_name": "PA Site", "is_valid": true } } ], "last_update_timestamp": 1457117071089 } ], } Required Permissions: Feature: policy_connectivity Additional Errors:
Get RTEP mesh connectivity status (Deprecated)
Get RTEP mesh connectivity status.Request:
Example Request: GET https://policy-mgr/global-manager/api/v1/global-infra/tier-0s/tier0/locale-services/tier0localeservices/inter-site/status Successful Response:
Example Response: { "gateway_path": "/global-infra/tier-0s/tier0", "edge_cluster_path": "/global-infra/sites/default/enforcement-points/default/edge-clusters/875381be-a4c5-4173-8aa7-ab71695a8129", "edge_cluster_name": "Federation edge cluster", "member_status": [ { "edge_node": { "edge_node_path": "/global-infra/sites/default/enforcement-points/default/edge-clusters/b051d3f9-3ad8-4831-9d67-8ae1cd3f5a1e/edge-nodes/258c50b4-c960-4005-9023-f7946e302162", "target_display_name": "Edge node 1", "is_valid": true }, "total_bgp_sessions": 2, "established_bgp_sessions": 2, "neighbor_status": [ { "source_address": "192.100.20.10", "neighbor_address": "192.200.20.10", "connection_state": "ESTABLISHED", "remote_site": { "target_edge_node": "258c50b4-c960-4005-9023-f7946e302162", "target_display_name": "India Site", "is_valid": true } }, { "source_address": "192.300.20.10", "neighbor_address": "192.400.20.10", "connection_state": "ESTABLISHED", "remote_site": { "target_id": "235c52a2-c960-4005-4512-451dc54fa542", "target_display_name": "PA Site", "is_valid": true } } ] "status": "UP" }, { "edge_node": { "edge_node_path": "/infra/sites/default/enforcement-points/default/edge-clusters/b051d3f9-3ad8-4831-9d67-8ae1cd3f5a1e/edge-nodes/77eead22-3bb9-4586-8de3-9412941f9116", "target_display_name": "Edge node 2", "is_valid": true }, "total_bgp_sessions": 1, "established_bgp_sessions": 0, "neighbor_status": [ { "source_address": "192.100.20.10", "neighbor_address": "192.200.20.10", "connection_state": "IDLE", "remote_site": { "target_edge_node": "258c50b4-c960-4005-9023-f7946e302162", "target_display_name": "India Site", "is_valid": true } } ] "status": "DOWN" } ], "overall_status": "DEGRADED", "last_update_timestamp": 1457117071089 } Required Permissions: Feature: policy_connectivity Additional Errors:
Get inter-site L2 forwarder status for Tier1 gateway
Get inter-site L2 forwarder status for Tier1 gateway.Request:
Example Request: GET https://policy-mgr/global-manager/api/v1/global-infra/tier-1s/tier1/locale-services/tier1localeservices/inter-site-forwarder/status Successful Response:
Example Response: { } Required Permissions: Feature: policy_connectivity Additional Errors:
Get segment cross site forwarder placement and HA status
Get segment cross site forwarder placement and HA statuss.Request:
Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/tier-1s/tier1/segments/tier1-ls/inter-site-forwarder/site-span-info?enforcement_point_path=/global-infra/sites/default/enforcement-points/default Successful Response:
Example Response: { "segment_path": "/global-infra/tier-1s/tier1/segments/tier1-ls", "remote_macs_per_site": [ { "rtep_group_id": 2001, "remote_site": { "target_id": "258c50b4-c960-4005-9023-f7946e302162", "target_display_name": "India Site", "is_valid": true }, "remote_mac_addresses": [ "02:00:17:00:12:D3", "02:00:17:00:13:13" ], "remote_active_ips": [ "10.10.10.1" ], "remote_standby_ips": [ "20.20.20.1" ] } ], "last_update_timestamp": 1457117071089 } Required Permissions: Feature: policy_segment Additional Errors:
Get segment cross site traffic statistics
Get segment cross site traffic statistics.Request:
Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/tier-1s/tier1/segments/tier1-ls/inter-site-forwarder/stats?enforcement_point_path=/global-infra/sites/default/enforcement-points/default Successful Response:
Example Response: { "segment_path": "/global-infra/tier-1s/tier1/segments/tier1-ls", "rx": { "total_bytes": 56646, "total_packets": 342, "dropped_packets": 103 }, "tx": { "total_bytes": 1125548, "total_packets": 2235, "dropped_packets": 0 }, "last_update_timestamp": 1457117071089 } Required Permissions: Feature: policy_segment Additional Errors:
Get segment cross site traffic statistics (Deprecated)
Get segment cross site traffic statistics.Request:
Example Request: GET https://<policy-mgr>/global-manager/api/v1/global-infra/tier-1s/tier1/segments/tier1-ls/inter-site-forwarder/status?enforcement_point_path=/global-infra/sites/default/enforcement-points/default Successful Response:
Example Response: { "segment_path": "/global-infra/tier-1s/tier1/segments/tier1-ls", "rx": { "total_bytes": 56646, "total_packets": 342, "dropped_packets": 103 }, "tx": { "total_bytes": 1125548, "total_packets": 2235, "dropped_packets": 0 }, "last_update_timestamp": 1457117071089 } Required Permissions: Feature: policy_segment Additional Errors:
Federation: Observability
Get monitoring info
Provides federation monitoring information, which includes allconfig flows originating from the site where API is invoked.
Request:
Example Request: GET https://<global-manager>/global-manager/api/v1/observability/flow-details GET https://<local-manager>/global-manager/api/v1/observability/flow-details Successful Response:
Example Response: On Global Manager { "monitoring_info": [{ "id": "rrrrrr-9ebc-46e0-9d7a-5a4fa8bb3802", "flow_type":"GM_TO_LM", "queue_info": [ { "max_size": 1000, "current_size": 100, "name": "gm2lm.transmitter.delta", "namespace": "ar-queues" }, { "max_size": 1000, "current_size": 200, "name": "gm2lm.receiver.delta", "namespace": "ar-queues" }, ], "cross_site_flow_info": { "status": "GOOD", "to_site_id": "36021bd5-9ebc-46e0-9d7a-5a4fa8bb3802", "to_site_path": "/global-infra/sites/Newyork", "from_site_id": "ececa019-3601-47dc-b92e-f21f52b34f6f", "from_site_path": "/global-infra/global-managers/LondonGM", "latency_millis": 123, "latency_measured_ts": 1590336614947, "last_full_sync": { "status": "COMPLETED", "id": "f6fda71a-d5f2-4000-8677-deaafd80641e", "reason_code": "10010", "reason": "Site onboarded", "stage": "COMPLETED", "data_streaming_from_source_progress": "Sending resources of type COMMUNICATION_MAP", "data_streaming_from_source_start_time": 1590335604947, "data_streaming_from_source_end_time": 1590336604947, "receiver_state": "COMPLETED", "receiver_start_time": 1590336614947, "receiver_end_time": 1590336714947, "start_time": 1590335604947, "end_time": 1590435604947, "errors": {}, "warnings": {} } } }, { "id": "asarrr-9ebc-46e0-9d7a-5a4fa8bb3802", "flow_type":"GM_TO_LM", "queue_info": [ { "max_size": 1000, "current_size": 100, "name": "gm2lm.transmitter.delta", "namespace": "ar-queues" }, { "max_size": 1000, "current_size": 200, "name": "gm2lm.receiver.delta", "namespace": "ar-queues" }, ], "cross_site_flow_info": { "status": "GOOD", "to_site_id": "aa021bd5-9ebc-46e0-9d7a-5a4fa8bb3111", "to_site_path": "/global-infra/sites/Paris", "from_site_id": "ececa019-3601-47dc-b92e-f21f52b34f6f", "from_site_path": "/global-infra/global-managers/LondonGM", "latency_millis": 123, "latency_measured_ts": 1590336614947, "last_full_sync": { "status": "COMPLETED", "id": "f6fda71a-d5f2-4000-8677-deaafd80641e", "reason_code": "10010", "reason": "Site onboarded", "stage": "COMPLETED", "data_streaming_from_source_progress": "Sending resources of type COMMUNICATION_MAP", "data_streaming_from_source_start_time": 1590335604947, "data_streaming_from_source_end_time": 1590336604947, "receiver_state": "COMPLETED", "receiver_start_time": 1590336614947, "receiver_end_time": 1590336714947, "start_time": 1590335604947, "end_time": 1590435604947, "errors": {}, "warnings": {} } } }, { "id": "rrbbr-9ebc-46e0-9d7a-5a4fa8bb3802", "flow_type":"LM_TO_GM", "queue_info": [ { "max_size": 1000, "current_size": 100, "name": "lm2gm.transmitter.delta", "namespace
[...]
